## developers-reference 3.4.18

=== Makefile ===
# Makefile, used for the developers-reference in DocBook XML

# Note: This Makefile should work perfectly without the debian/ directory.

MANUAL		:= developers-reference

SOURCES		:= $(wildcard *.dbk) common.ent version.ent

FORMATS		:= html txt pdf epub
LANGS           := de fr ja ru it
TARGETS		:= $(foreach fmt,$(FORMATS),developers-reference.$(fmt)) \
		   $(foreach lng,$(LANGS), \
		       $(foreach fmt,$(FORMATS), \
		           $(lng)/developers-reference.$(fmt)))
# list of targets, that currently cannot build
#BLACKLIST	:= ja/developers-reference.pdf

# hopefully overwritten by caller, e.g. debian/rules
VERSION=unknown
PUBDATE=unknown

# programs for creating output
XP=xsltproc --nonet --novalid --xinclude
XL=xmllint --nonet --noout --postvalid --xinclude
# dblatex 0.2.8 has some problems (e.g. #465221 and Japanese does
# not build)
# Alternatives:
# - docbook2pdf (seems to die on UTF-8, #431085); and
# - fop is currently in contrib, but can go to main, see #366783
# - xmlroff (not mature enough, #182445)
DBLATEX=dblatex --style=db2latex
TRANSLATE=po4a po4a/po4a.cfg

# XSL files and parameters
# note: the URL is used as identifier, no HTTP is used!
DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
# for HTML output
DBK2HTML=$(CURDIR)/xslt/html.xsl
# all in one file for text output
DBK2HTML1=$(CURDIR)/xslt/txt.xsl
# image files
DIMG    :=      /usr/share/xml/docbook/stylesheet/nwalsh/images

.PHONY:	all
all:    $(filter-out $(BLACKLIST), $(TARGETS))

.PHONY: validate
validate:			$(SOURCES)
	$(XL) index.dbk

%/validate:			$(addprefix %/,$(SOURCES))
	cd $(@D) && $(XL) index.dbk

.PHONY: css
css:
	-mkdir $(CURDIR)/images
	cd $(DIMG) && cp caution.png important.png note.png tip.png up.gif warning.png $(CURDIR)/images
	cd $(CURDIR)/pngfile && cp *.png $(CURDIR)/images

# This rule controls the build and installation on the website
# Logs are here: http://www-master.debian.org/build-logs/ddp/
.PHONY: publish
publish:	all
	[ -d $(PUBLISHDIR) ] || exit 1
	install -d -m 755 $(PUBLISHDIR)/developers-reference
	rm -f $(PUBLISHDIR)/developers-reference/*.html
	rm -f en && ln -sf . en
	$(foreach format,$(FORMATS),$(foreach lang,en $(LANGS),for file in $(lang)/*.$(format); do if [ -e "$$file" ]; then cp --preserve=timestamps $$file $(PUBLISHDIR)/developers-reference/$$(basename $$file .$(format)).$(lang).$(format); fi; done;))
	cp --preserve=timestamps $(CURDIR)/images $(CURDIR)/*.css $(PUBLISHDIR)/developers-reference/
	ln -sf index.en.html $(PUBLISHDIR)/developers-reference/index.html
	ln -sf developers-reference.en.pdf $(PUBLISHDIR)/developers-reference/developers-reference.pdf
	ln -sf developers-reference.en.txt $(PUBLISHDIR)/developers-reference/developers-reference.txt
	ln -sf developers-reference.en.epub $(PUBLISHDIR)/developers-reference/developers-reference.epub

.PHONY: developers-reference.html %/developers-reference.html
developers-reference.html:	$(CURDIR)/index.html
%/developers-reference.html:	$(addprefix %/,index.html)
	@true

.PRECIOUS:			%/index.html
index.html:			$(CURDIR)/developers-reference.html
%/index.html:			$(addprefix %/,$(SOURCES)) css
	cd $(@D) && $(XP) $(DBK2HTML) index.dbk
	-cp -r $(CURDIR)/images $(CURDIR)/$(MANUAL).css $(@D)

# There must be an easier way than recursive make!
.PRECIOUS:		%.dbk %.ent
ifndef LINGUA
%.dbk %.ent: FORCE
	$(TRANSLATE)
	$(MAKE) $@ LINGUA=`basename $(@D)`

FORCE:
else
$(LINGUA)/%.dbk:	%.dbk po4a/$(LINGUA).po
	$(TRANSLATE)

$(LINGUA)/common.ent:	common.ent
	cd $(@D) && ln -sf ../$(@F) .
endif

developers-reference.txt:	$(CURDIR)/developers-reference.txt
%/developers-reference.txt:	$(addprefix %/,$(SOURCES))
	$(XP) $(DBK2HTML1) $(@D)/index.dbk \
	    | LC_ALL=C.UTF-8 w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@

XSLT		:= xslt

developers-reference.pdf:       $(CURDIR)/developers-reference.pdf
%/developers-reference.pdf:     $(addprefix %/,$(SOURCES))
	$(DBLATEX) $(@D)/index.dbk \
	    --backend=xetex \
	    --xsl-user=$(XSLT)/user_param.xsl \
	    --xsl-user=$(XSLT)/xetex_param.xsl \
	    --param=lingua=$(@D) \
	    && mv $(@D)/index.dbk.pdf $@

developers-reference.epub:      $(CURDIR)/developers-reference.epub
%/developers-reference.epub:     $(addprefix %/,$(SOURCES))
	TOP=`pwd` && cd $(@D) && LC_ALL=C.UTF-8 xmlto epub index.dbk && mv index.epub $(@F)

.PHONY: pot
pot:					po4a/po/developers-reference.pot
po4a/po/developers-reference.pot:	$(wildcard *.dbk)
	$(TRANSLATE)

ifdef LINGUA
.PHONY: updatepo
updatepo:			po4a/po/$(LINGUA).po
po4a/po/$(LINGUA).po:		$(wildcard *.dbk)
	$(TRANSLATE)
endif

tidypo:
	for po in po4a/po/*.po; do \
	    msgcat -o $$po $$po; \
	done

checkpo:
	@for po in po4a/po/*.po; do \
	    msgfmt -vv $$po; \
	done

%/version.ent:
	echo '<!ENTITY version "$(VERSION)">' >  $@
	echo '<!ENTITY pubdate "$(PUBDATE)">' >> $@

.PHONY: clean
clean:
	rm -f *.fo *.html *.pdf *.txt *.epub
	rm -rf images
	for L in $(LANGS); do rm -rf `basename ./"$$L"/`; done
	rm -f version.ent
	rm -f `find . -name "*~" -o -name "*.bak"`
	rm -f *~ *.bak .#* core

.PHONY: distclean
distclean: clean
	rm -f *.rej *.orig

# if rule bomb out, delete the target
.DELETE_ON_ERROR:

=== debian/changelog ===
developers-reference (3.4.18) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Also document List-Id header in package tracker mails.

  [ Lev Lamberov ]
  * adding russian translation (Closes: #797603)
  * changing Makefile to handle russian translation

  [ Anthony Fok ]
  * Change ftp-master-mirror to coccia.debian.org
    coccia.debian.org has replaced ries.debian.org for some time now,
    see https://lists.debian.org/debian-dak/2013/07/msg00004.html
  * Replace gitweb URL with cgit in Vcs-Browser field.
    The gitweb interface on Alioth is no longer functional, so updating
    Vcs-Browser to point to cgit URL provides a better experience to the user.
  * Replace coccia.debian.org with mirror.ftp-master.debian.org
    which is more future-proof in case we change server again.
    Thanks to Julien Cristau for the suggestion!
    (Closes: #806993)

  [ Salvatore Bonaccorso ]
  * Receiving debdiffs is preferred when reviewing security uploads.
    When sending a review for upload to security.debian.org receiving a
    resulting debdiff is preferred over receiving resulting diff.gz /
    debian.tar.gz and .dsc files.

  [ Hideki Yamane ]
  * po4a/po/de.po: fix tag error
  * Makefile: fix to work make {pot,updatepo}
  * Add po4a/po/it.po (Closes: #807742)
  * debian/control
    - add developers-reference-it package
    - add developers-reference-ru package
    - add "Build-Depends: texlive-lang-italian" for Italian package
    - update description as those two packages
    - update Vcs-Git, use https
    - add me as Uploaders
    - set Standards-Version: 3.9.8
  * Remove debian/source/options since xz is default option now.

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 Jun 2016 18:55:51 +0900

=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>,
           Hideki Yamane <henrich@debian.org>,
Standards-Version: 3.9.8
Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
 fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
 texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex,
 texlive-lang-italian,
 xmlto, zip
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
Vcs-Git: https://anonscm.debian.org/git/collab-maint/developers-reference.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/developers-reference.git

Package: developers-reference
Architecture: all
Depends: ${misc:Depends}
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by and for
 the community of Debian developers.  If you are not a Debian
 developer, you probably do not need this package.
 .
 Table of Contents:
 .
 ${TOC:en}
 .
 This package contains the English version of the Developer's
 Reference.  The French, German, Italy, Russian and Japanese translations are
 available in developers-reference-fr, developers-reference-de,
 developers-reference-it, developers-reference-ru and developers-reference-ja.

Package: developers-reference-de
Architecture: all
Depends: ${misc:Depends}
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in German
 This package contains the German translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-fr
Architecture: all
Depends: ${misc:Depends}
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in French
 This package contains the French translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ja
Architecture: all
Depends: ${misc:Depends}
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in Japanese
 This package contains the Japanese translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ru
Architecture: all
Depends: ${misc:Depends}
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in Russian
 This package contains the Russian translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-it
Architecture: all
Depends: ${misc:Depends}
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in Italian
 This package contains the Italian translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

## developers-reference 3.4.19

=== Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 
 .PHONY: css
 css:
-	-mkdir $(CURDIR)/images
+	mkdir -p $(CURDIR)/images
 	cd $(DIMG) && cp caution.png important.png note.png tip.png up.gif warning.png $(CURDIR)/images
 	cd $(CURDIR)/pngfile && cp *.png $(CURDIR)/images

=== debian/changelog ===
developers-reference (3.4.19) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control
    - set Build-Depends: debhelper (>= 10)
  * debian/compat
    - set 10 
  * update translation template and Japanese translation

  [ Antoine Beaupré ]
  * clarify PGP keyring maintenance updates (Closes: #824038)
  * clarify that we use the literal codename in stable updates
  * clarify how the patch should be made for p-u
  * clarify what the p-u changelog should contain
  * clarify that the release team wants a source debdiff

  [ Paul Wise ]
  * Use mkdir -p instead of ignoring mkdir exit codes

  [ Boyuan Yang ]
  * Add information about debmake-doc in section 2.1.
  * d/control: Bump Standards-Version to 4.1.1.
  * Use ddtp2.d.n instead of ddtp.d.n since the latter one is dead.

 -- Hideki Yamane <henrich@debian.org>  Sat, 28 Oct 2017 20:46:22 +0900

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>,
            Hideki Yamane <henrich@debian.org>,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
  fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
  texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex,
  texlive-lang-italian,
  xmlto, zip
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~)
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/developers-reference.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/developers-reference.git

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

include /usr/share/dpkg/default.mk

DEB_DATE	:= $(shell dpkg-parsechangelog 2>/dev/null | sed -n 's/^Date: *//p')
PUBDATE		:= $(shell LC_ALL=C date --date="$(DEB_DATE)" -I)

LANGS		:= $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')

%:
	dh $@

override_dh_auto_build:
	$(MAKE) VERSION=$(DEB_VERSION) PUBDATE=$(PUBDATE) LANGS="$(LANGS)"

override_dh_compress:
	dh_compress -X.pdf -X.epub

override_dh_installdeb:
	debian/tocsubstvars
	dh_installdeb
		
update-l10n-files:
	for lang in $(LANGS); do \
	    (echo "README-contrib"; \
	     echo "$$lang/*.html"; \
	     echo "$$lang/developers-reference.txt"; \
	     echo "$$lang/developers-reference.epub"; \
	     echo "$$lang/developers-reference.pdf") \
	    > debian/developers-reference-$$lang.docs; \
	done

.PHONY: update-l10n-files

## developers-reference 3.4.20

=== debian/changelog ===
developers-reference (3.4.20) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Reduce the large package tracker section to a few small paragraphs
    pointing to the real documentation hosted on
    https://qa.pages.debian.net/distro-tracker/
  * Apply typo/rewording patch from Paul Hardy. Closes: #878033
  * Update IRC channel list with better examples. Closes: #773544
  * Be more specific in the recommendation to use gender-neutral
    constructions. Thanks to Johannes Schauer <j.schauer@email.de>
    for the initial patch. Closes: #774837
  * Bump the minimal size of the GPG key to 2018 bits and put link
    to keyring.debian.org. Closes: #798106
  * Recommend using "which" to test availability of a command.
    Thanks to Axel Beckert for the patch. Closes: #883742
  * Point out that a non-working email is a policy violation. Improve
    MIA explanations. Closes: #604193, #544135
    Thanks to Caitlin Matos for the patch.
  * Replace some backticks with normal quotes in japanese translation
    to fix a build failure with LaTeX 2018. Closes: #896191
    Thanks to Hilmar Preuße for the patch.
  * Simplify generation of PUBDATE by relying on SOURCE_DATE_EPOCH.
  * Drop Marc 'HE' Brockschmidt <he@debian.org> from Uploaders.

  [ Ansgar Burchardt ]
  * security uploads should go to *.security.upload.d.o (closes: #874291)

  [ Julien Cristau ]
  * Update Vcs-* control fields.
  * Fix upload host name (ssh.upload.debian.org, not ssh.debian.org);
    closes: #888978.  Thanks, Thorsten Alteholz!

  [ Sean Whitton ]
  * Include link to Riseup's "OpenPGP Best Practices" (closes: #834070)
  * Add section "Selecting the upload urgency" to best-pkging-practices
    (Closes: #540852).

  [ Aurélien COUDERC ]
  * Fix CSS text color to avoid the HTML version being unreadable when
    using a light on dark default browser stylesheet.
  * d/control: Bump Standards-Version to 4.1.5, no change needed.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 13 Jul 2018 11:23:40 +0200

## developers-reference 3.4.21

=== debian/changelog ===
developers-reference (3.4.21) unstable; urgency=medium

  [ Tobias Frost ]
  * Team upload.
  * Fix Alioth references in README-contrib (Closes: #907605)
  * Add package-salvaging text (Closes: #681833, #907535).
  * Move shell snippet in §6.4 to common.ent.
  * Update German translation. (Closes: #908867)

  [ Nicholas D Steeves ]
  * Change priority extra to optional in §6.7.7 (Closes: #879863).

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Sep 2018 23:21:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: doc
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>,
-           Hideki Yamane <henrich@debian.org>,
-Standards-Version: 4.1.1
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Hideki Yamane <henrich@debian.org>,
+Standards-Version: 4.1.5
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
  fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
  texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex,
  texlive-lang-italian,
  xmlto, zip
 Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~)
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/developers-reference.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/developers-reference.git
+Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
+Vcs-Browser: https://salsa.debian.org/debian/developers-reference
 
 Package: developers-reference
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 
 include /usr/share/dpkg/default.mk
 
-DEB_DATE	:= $(shell dpkg-parsechangelog 2>/dev/null | sed -n 's/^Date: *//p')
-PUBDATE		:= $(shell LC_ALL=C date --date="$(DEB_DATE)" -I)
+PUBDATE		:= $(shell LC_ALL=C date --date="@$(SOURCE_DATE_EPOCH)" -I)
 
 LANGS		:= $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')

## developers-reference 3.4.22

=== debian/changelog ===
developers-reference (3.4.22) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix codename of Debian 11. (Closes: #905930)
  * Fix links to translations (making them one link pointing to the
    doc section on Debian website). Closes: #690750, #912724.

  [ Tobias Frost ]
  * Join the two chapters about the 'default' field (Closes: #818850).
  * Switch Alioth references in the dev-ref text to Salsa. (Closes: #908890)

  [ Jean-Paul Guillonneau ]
  * Update of French translation. Closes: #843966.

  [ Tobias Frost ]
  * Rewriting section about debug packages .(Closes: #907665)
  * Join the two chapters about the 'default' field .(Closes: #818850)
  * German translation for the package salvaging process.

  [ Joseph Herlant ]
  * Add a note on versioning scheme when reverting an NMU. (Closes: #908291)

  [ Holger Levsen ]
  * comment.ent:
    - add url-openpgp-best-practices-fr and use that in fr.po.
    - point url-buildd-p-a-s to https://wiki.debian.org/PackagesArchSpecific
      as alioth is gone. Closes: #915310
  * Improve language in manual, thanks to Paul Hardy for the patch.
    Closes: #907915
  * d/control:
    - upgrade to use debhelper-compat(=11), drop d/compat.
    - add "Rules-Requires-Root: no" to support building as non-root.
    - remove Build-Depends on dpkg-dev as it's part of build-essential and the
      required version is present in wheezy.
    - remove versions (fulfilled pre-squeeze) for Build-Depends-Indep of
      docbook-xsl and dblatex.
    - bump standards version to 4.3.0, no changes needed.
    - sort and wrap Build-Depends-Indep.
    - add myself to uploaders.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Jan 2019 17:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,30 @@
 Section: doc
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Hideki Yamane <henrich@debian.org>,
-Standards-Version: 4.1.5
-Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
- fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
- texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex,
+Uploaders: Lucas Nussbaum <lucas@debian.org>,
+ Hideki Yamane <henrich@debian.org>,
+ Holger Levsen <holger@debian.org>,
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Build-Depends-Indep: docbook-xsl,
+ dblatex,
+ fonts-ipafont-gothic,
+ fonts-ipafont-mincho,
+ gsfonts,
+ libxml2-utils,
+ lmodern,
+ po4a,
+ texlive-lang-cyrillic,
+ texlive-lang-french,
+ texlive-lang-german,
  texlive-lang-italian,
- xmlto, zip
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~)
+ texlive-xetex,
+ tipa,
+ w3m,
+ xmlto,
+ xsltproc,
+ zip
+Build-Depends: debhelper-compat (= 11)
 Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
 Vcs-Browser: https://salsa.debian.org/debian/developers-reference

## developers-reference 3.4.23

=== debian/changelog ===
developers-reference (3.4.23) unstable; urgency=medium

  [ Holger Wansing ]
  * Globally change "new maintainer" into "new member". Closes: #817914.

  [ Holger Levsen ]
  * scope.dbk: extend: s#Debian developers#Debian developers and maintainers#
  * tools.dbk:
    - stop recommending remote signing of packages, especially using debrsign.
      Closes: #855320. Thanks to Daniel Kahn Gillmor.
    - slightly reword existing paragraph about dch and debchange.
      Closes: #494470.
  * best-pkging-practices.dbk: add another example of a multi binary source
    package. Closes: #430889.
  * l10n.dbk: drop paragraph about Debian specific manpages maintained in cvs.
  * developer-duties.dbk: improve paragraph about coordinating with upstreams.
    Closes: #908155. Thanks to Ian Jackson and Wouter Verhelst for the
    wording.
  * pkgs.dbk:
    - clarify the recipients of 123-submitter@b.d.o. Closes: #775740.
      Thanks to Josch Schauer for the wording.
    - don't suggest to test downgrading packages. Closes: #376590.
      Thanks to Justin Pryzby.
    - add a paragraph to the section about reintroducing packages to check and
      update the security tracker metadata. Closes: #839885.
      Thanks to Paul Wise.
  * beyond-pkging.dbk: mention mass-bugs for reporting bugs against many
    packages. Closes: #483232. Thanks to Sandro Tosi for the suggestion.
  * common.ent:
    - drop url-cvsweb.
    - switch five http urls to https, leaving one http url.
  * d/control: mark all binary packages as multiarch: foreign.
  * Update po4a/po/developers-reference.pot and po4a/po/*.po for the new and
    changed strings.
  * README.contributing:
    - renamed from README-contrib.
    - update instructions how to update .po files.
  * d/TODO: remove some ancient entries and clarify that only the BTS should
    be used in the long term.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Feb 2019 13:44:03 +0100

## developers-reference 3.4.24

=== debian/changelog ===
developers-reference (3.4.24) unstable; urgency=medium

  * tools.dbk:
    - clarify how to properly choose the debhelper compatibility
      level. Thanks to Roberto C. Sanchez for the patch. Closes: #466423.
    - also explain to best use a depends like debhelper-compat (=11).

 -- Holger Levsen <holger@debian.org>  Sat, 06 Apr 2019 15:55:10 +0200

## developers-reference 3.4.25

=== debian/changelog ===
developers-reference (3.4.25) unstable; urgency=medium

  * common.ent:
    - nexttesting will be version 11. Closes: #930553. Thanks to Osamu Aoki
      for noticing.
    - actually define all codenames and release version numbers as if buster
      were already relased, so that they will be correct during buster's
      lifetime.
    - we have around 30000 source packages now. To be exact, 29686 are in
      sid/main today.

 -- Holger Levsen <holger@debian.org>  Sat, 15 Jun 2019 21:02:04 +0200

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 Package: developers-reference
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base
@@ -51,6 +52,7 @@
 
 Package: developers-reference-de
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base
@@ -67,6 +69,7 @@
 
 Package: developers-reference-fr
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base
@@ -83,6 +86,7 @@
 
 Package: developers-reference-ja
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base
@@ -99,6 +103,7 @@
 
 Package: developers-reference-ru
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base
@@ -115,6 +120,7 @@
 
 Package: developers-reference-it
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 		
 update-l10n-files:
 	for lang in $(LANGS); do \
-	    (echo "README-contrib"; \
+	    (echo "README.contributing"; \
 	     echo "$$lang/*.html"; \
 	     echo "$$lang/developers-reference.txt"; \
 	     echo "$$lang/developers-reference.epub"; \

## developers-reference 3.4.25+nmu1

=== debian/changelog ===
developers-reference (3.4.25+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:00 +0800

## developers-reference 11.0.3

=== Makefile ===
# Build rules for Developers Reference.
#
# This build script works on the bare un-tared upstream tarball, the
# checked-out git repository, and the patch-applied Debian source package
# source tree.

# Basic package information
ifneq ("$(wildcard debian/changelog)","")
# Patch-applied Debian source package source tree
PACKAGE   ?= $(shell dpkg-parsechangelog -SSource)
TIMESTAMP ?= $(shell dpkg-parsechangelog -STimestamp)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= $(shell dpkg-parsechangelog -SVersion)
else ifneq ("$(wildcard .git)","")
# Checked-out git repository
PACKAGE   ?= $(basename $(notdir $(shell git config --get remote.origin.url)))
TIMESTAMP ?= $(shell git show -s --format=%ct HEAD)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= $(shell git describe --tags)
# Adjust version as needed: debian/% --> %
VERSION   := $(patsubst debian/%, %, $(VERSION))
else
# Un-tared upstream tarball
PACKAGE   ?= $(notdir $(CURDIR))
TIMESTAMP ?= $(shell date +%s)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= 0.0~$(subst -,.,$(DATE))
endif

export PACKAGE TIMESTAMP DATE VERSION

# Source file directory
SOURCE_DIR  = source

# Building files under language specific subdirectories of $(BUILD_DIR)
BUILD_DIR   = build

# Match this with conf.py: locale_dir = ["locales"]
LOCALE_DIR = locales

# All languages
LANGS       ?= en $(notdir $(wildcard $(SOURCE_DIR)/$(LOCALE_DIR)/*))
# All languages without PDF building
LANGS_NOPDF = it ru

# All output formats
FORMATS     ?= text pdf nopdf epub info html # singlehtml

# Conversion programs to use.  Export these so that they're visible to
# submakes.
export SPHINX     = sphinx-build
export SPHINXINTL = sphinx-intl

# Installation directories.  Normally this is only used by debian/rules
# build, which will set DESTDIR to put the installation under the temporary
# Debian packaging directory.
prefix      = /usr
datarootdir = $(prefix)/share
datadir     = $(datarootdir)/$(PACKAGE)
infodir     = $(datarootdir)/info

# Order of source file basenames in $(SOURCE_DIR)/index.rst
BASE_ORDER    := $(shell grep -e '^   [^:]' $(SOURCE_DIR)/index.rst)

# Source file basenames found as *.rst
BASE_FILTER   := $(basename $(notdir $(wildcard $(SOURCE_DIR)/*.rst)))

# Ordered source *.rst file basenames to build $(PACKAGE)
BASE_FILES   := $(filter $(BASE_FILTER), $(BASE_ORDER))

SOURCE_FILES := $(foreach f,$(BASE_FILES),				\
		$(SOURCE_DIR)/$(f).rst)		 			\
		$(SOURCE_DIR)/conf.py

PO_FILES     := $(foreach l,$(filter-out en,$(LANGS)),			\
		$(foreach f,$(BASE_FILES),				\
		$(SOURCE_DIR)/$(LOCALE_DIR)/$(l)/LC_MESSAGES/$(f).po))

# General build targets.  These are the ones a human may build from the
# command line, or that are used by the Debian build system.
#
# Checks for PO files are skipped since $(SPHINX) takes care of them.
#

all: $(FORMATS)

# A list of plain text files for all $(LANGS)
TEXT_FILES   := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/text/$(PACKAGE).txt)

text: $(TEXT_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/text/$(PACKAGE).txt: $(SOURCE_FILES)
	rm -f $@
	$(SPHINX) -b text -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	# Make $(PACKAGE).txt
	cp $(@D)/index.txt $@
	set -e;								\
	    for f in $(BASE_FILES); do					\
		printf "\n\n\n" >>$@;					\
		cat $(@D)/"$$f".txt >>$@;				\
	    done

# A list of PDF files for all valid languages
PDF_FILES := $(foreach l,$(filter-out $(LANGS_NOPDF),$(LANGS)),		\
		$(BUILD_DIR)/$(l)/pdf/$(PACKAGE).pdf)
pdf: $(PDF_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/pdf/$(PACKAGE).pdf: $(SOURCE_FILES)
	$(SPHINX) -b latex -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	$(MAKE) -C $(@D)

# A list of place-holder PDF files for all non-valid languages
NOPDF_FILES  := $(foreach l,$(LANGS_NOPDF),				\
		$(BUILD_DIR)/$(l)/nopdf/$(PACKAGE).pdf)
nopdf: $(NOPDF_FILES)

# Build nopdf place holder PDF files with latexmk
$(BUILD_DIR)/%/nopdf/$(PACKAGE).pdf: nopdf.tex
	mkdir -p $(@D)
	sed -e "s/@lang@/$*/g" nopdf.tex >$(@D)/nopdf.tex
	set -e; cd $(@D); latexmk -pdf -dvi- -ps- $<
	mv $(@D)/nopdf.pdf $(@)

# A list of epub files for all $(LANGS)
EPUB_FILES   := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/epub/$(PACKAGE).epub)
epub: $(EPUB_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/epub/$(PACKAGE).epub: $(SOURCE_FILES)
	$(SPHINX) -b epub -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)

# A list of info files for all $(LANGS)
# Please note, translated info files are installed as $(PACKAGE)-$(l).info:
INFO_FILES   := $(foreach l,$(filter-out en,$(LANGS)),			\
		$(BUILD_DIR)/info/$(PACKAGE)-$(l).info)			\
		$(BUILD_DIR)/info/$(PACKAGE).info

info: $(INFO_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/info/$(PACKAGE).info: $(SOURCE_FILES)
	$(SPHINX) -b texinfo -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	$(MAKE) -C $(@D)

$(BUILD_DIR)/info/$(PACKAGE).info: $(BUILD_DIR)/en/info/$(PACKAGE).info
	mkdir -p $(@D)
	cp $< $@

$(BUILD_DIR)/info/$(PACKAGE)-%.info: $(BUILD_DIR)/%/info/$(PACKAGE).info
	mkdir -p $(@D)
	cp $< $@

# A list of index.html files of multi-file HTML for all $(LANGS)
HTMLI_FILES  := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/html/index.html)
html: $(HTMLI_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/html/index.html: $(SOURCE_FILES)
	$(SPHINX) -b html -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)

# A list of all multi-file HTML files for all $(LANGS)
HTMLM_FILES  := $(foreach l,$(LANGS),					\
		$(foreach f,$(BASE_FILES),				\
		$(BUILD_DIR)/$(l)/html/$(f).html))


# A list of multi-file HTML index.html files for all $(LANGS)
HTMLS_FILES  := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/singlehtml/$(PACKAGE).html)

htmls: $(HTMLS_FILES)

# Single HTML doesn't build its own geninde.html nor search.html
# I keep this code inspired by Debian Policy as a place holder
# This is not used due to bugs apear for Single HTML:
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=873456
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=876075
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879048
$(BUILD_DIR)/%/singlehtml/$(PACKAGE).html: $(SOURCE_FILES)
	$(SPHINX) -b singlehtml -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	mv $(@D)/index.html $(@D)/$(PACKAGE).html
	rm -rf $(@D)/.doctrees
	perl -pli -e 's,href="index\.html#,href="#,g' $@
#	perl -pli -e 's,(genindex|search)\.html,$(PACKAGE).html/$$1.html,' $@

#
# Update all PO files for all languages
#
# In the following, export UTF-8 locale variables to avoid gettext errors.
# Don't simply export at the top of this Makefile to avoid affecting
# the generated localized .js files.
#
# Somehow -M doesn't work well, so use -b
update-po: $(SOURCE_FILES)
	# Let's keep POT files next to PO files
	$(SPHINX) -b gettext -d $(BUILD_DIR)/en $(SOURCE_DIR) $(SOURCE_DIR)/$(LOCALE_DIR)
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	    LC_ALL=C.UTF-8 LANG=C.UTF-8 $(SPHINXINTL) update		\
		-d $(SOURCE_DIR)/$(LOCALE_DIR)				\
		-p $(SOURCE_DIR)/$(LOCALE_DIR) -l $$l ;			\
	done

# Clean source tree
clean distclean:
	rm -rf $(BUILD_DIR)
	rm -f $(SOURCE_DIR)/$(LOCALE_DIR)/*.pot
	rm -f $(SOURCE_DIR)/$(LOCALE_DIR)/*/LC_MESSAGES/*.mo

install: all
	# Install onto DESTDIR='$(DESTDIR)' for en: text pdf nopdf epub html
	mkdir -p $(DESTDIR)$(datadir)
	[ -e $(BUILD_DIR)/en/text/$(PACKAGE).txt ] &&			\
		cp $(BUILD_DIR)/en/text/$(PACKAGE).txt $(DESTDIR)$(datadir) && \
		gzip -f -9  $(DESTDIR)$(datadir)/$(PACKAGE).txt || true
	[ -e $(BUILD_DIR)/en/pdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/en/pdf/$(PACKAGE).pdf $(DESTDIR)$(datadir) || true
	[ -e $(BUILD_DIR)/en/nopdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/en/nopdf/$(PACKAGE).pdf $(DESTDIR)$(datadir) || true
	[ -e $(BUILD_DIR)/en/epub/$(PACKAGE).epub ] &&			\
		cp $(BUILD_DIR)/en/epub/$(PACKAGE).epub $(DESTDIR)$(datadir) || true
	[ -d $(BUILD_DIR)/en/html ] &&					\
		cp -dfR $(BUILD_DIR)/en/html/* $(DESTDIR)$(datadir) || true
	# Install onto DESTDIR='$(DESTDIR)' for non-en: text pdf nopdf epub html
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	mkdir -p $(DESTDIR)$(datadir)/$$l ;				\
	[ -e $(BUILD_DIR)/$$l/text/$(PACKAGE).txt ] &&			\
		cp $(BUILD_DIR)/$$l/text/$(PACKAGE).txt $(DESTDIR)$(datadir)/$$l && \
		gzip -f -9 $(DESTDIR)$(datadir)/$$l/$(PACKAGE).txt || true ; \
	[ -e $(BUILD_DIR)/$$l/pdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/$$l/pdf/$(PACKAGE).pdf $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -e $(BUILD_DIR)/$$l/nopdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/$$l/nopdf/$(PACKAGE).pdf $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -e $(BUILD_DIR)/$$l/epub/$(PACKAGE).epub ] &&			\
		cp $(BUILD_DIR)/$$l/epub/$(PACKAGE).epub $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -d $(BUILD_DIR)/$$l/html ] &&					\
		cp -dfR $(BUILD_DIR)/$$l/html/* $(DESTDIR)$(datadir)/$$l || true ; \
	done
	# For info
	mkdir -p $(DESTDIR)$(infodir)
	@set -ex; for f in $(INFO_FILES); do				\
	[ -e $$f ] && cp -f $$f $(DESTDIR)$(infodir) || true ;		\
	done
	# singlehtml files
	# don't install Sphinx singlehtml output until various bugs
	# are fixed upstream (e.g. #873456, #876075, #879048)
	#cp $(BUILD_DIR)/en/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)
	#@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	#cp $(BUILD_DIR)/$$l/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)/$$l ;	\
	#done

.PHONY: all
.PHONY: FORCE_MAKE
.PHONY: text pdf nopdf epub info html htmls
.PHONY: clean distclean update-po
.PHONY: install

#
# GNU make configuration.
#

# If a rule bombs out, delete the target.
#.DELETE_ON_ERROR:

# No default suffixes work here, don't waste time on them.
.SUFFIXES:

=== debian/changelog ===
developers-reference (11.0.3) unstable; urgency=medium

  [ Judit Foglszinger ]
  * developer-duties.rst: describe new process for emeritus. Closes: #884857.

  [ Ansgar ]
  * Update most remaining links to use https:// instead of http://
  * resources.rst:
    - use deb.d.o for experimental sources.list entry.
    - do not suggest that mirrors are FTP servers
  * best-pkging-practices.rst: update references to svn.d.o to use salsa.d.o
    instead.
  * pkgs.rst: update links to release team resources.
  * new-maintainer.rst:
    - drop footnote about version 4 OpenPGP keys.
    - new-maintainer.rst: replace some occurrences of GnuPG with OpenPGP.

  [ Osamu Aoki ]
  * Trim tailing whitespaces in several places.

  [ Thomas Vincent ]
  * Small typo fix in French translation.

 -- Holger Levsen <holger@debian.org>  Fri, 27 Sep 2019 16:29:14 +0100

developers-reference (11.0.2) unstable; urgency=medium

  [ Osamu Aoki ]
  * Fix missing opening pages. Closes: #934526.
  * Fix title of PDF for English.
  * Makefile: use UTC to fix reproducibility issues.
  * More flexible build script.
  * Run" make update-po".
  * deleted: debian/TODO.packaging.

 -- Holger Levsen <holger@debian.org>  Fri, 16 Aug 2019 16:32:13 +0200

developers-reference (11.0.1) unstable; urgency=medium

  [ Holger Levsen ]
  * Increment version number to celebrate the switch to ReST and the beginning
    of the Debian 11 development cycle.

  [ Osamu Aoki ]
  * Reorganize upstream build script removing debian/* data dependency while
    addressing SOURCE_DATE_EPOCH issue inspired by Lars Kruse (many thanks!).
  * Also improve Debian packaging.
  * Add language menu.
  * Add pull-down language selection menu.
  * List appendixes in ToC.
  * Gnome desktop icon.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Aug 2019 18:41:03 +0200

developers-reference (3.4.26) unstable; urgency=medium

  * Merge work by Osamu Aoki to migrate to Sphinx. Closes: #931548.
    After 22 years of the Debian Developers Reference being maintained as an
    SGML document, the sources are now maintained as ReStructuredText, while
    the translations remain .po files.
    Please note that this is work in progress and that there will be bugs.
    Please do file them, with or without patches.
    Big kudos and many thanks to Osamu Aoki for doing most of the work on
    this. Obviously also many thanks to everyone else involved, both upstream
    and in Debian!
  * Adjust build-depends and d/rules and README.contributing as needed.
  * Bump standards version to 4.4.0, no changes needed.
  * Update to debhelper-compat 12.

 -- Holger Levsen <holger@debian.org>  Mon, 29 Jul 2019 23:23:41 -0300

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,21 @@
 Uploaders: Lucas Nussbaum <lucas@debian.org>,
  Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
-Build-Depends-Indep: docbook-xsl,
- dblatex,
- fonts-ipafont-gothic,
- fonts-ipafont-mincho,
- gsfonts,
- libxml2-utils,
- lmodern,
- po4a,
+Build-Depends-Indep: latexmk,
+ python3-sphinx,
+ python3-stemmer,
+ texinfo,
+ texlive-fonts-recommended,
  texlive-lang-cyrillic,
  texlive-lang-french,
  texlive-lang-german,
  texlive-lang-italian,
- texlive-xetex,
- tipa,
- w3m,
- xmlto,
- xsltproc,
- zip
-Build-Depends: debhelper-compat (= 11)
+ texlive-lang-japanese,
+ texlive-latex-extra,
+ texlive-latex-recommended
+Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
 Vcs-Browser: https://salsa.debian.org/debian/developers-reference
 
@@ -33,8 +27,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy
-Suggests: doc-base
+Recommends: debian-policy, sensible-utils
+Suggests: doc-base, firefox-esr | www-browser
 Description: guidelines and information for Debian developers
  This package contains the Debian Developer's Reference, a set of
  guidelines and best practices which has been established by and for
@@ -54,7 +48,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy
+Recommends: debian-policy, developers-reference
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in German
  This package contains the German translation of Debian Developer's
@@ -71,7 +65,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy
+Recommends: debian-policy, developers-reference
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in French
  This package contains the French translation of Debian Developer's
@@ -88,7 +82,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy
+Recommends: debian-policy, developers-reference
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Japanese
  This package contains the Japanese translation of Debian Developer's
@@ -105,7 +99,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy
+Recommends: debian-policy, developers-reference
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Russian
  This package contains the Russian translation of Debian Developer's
@@ -122,7 +116,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy
+Recommends: debian-policy, developers-reference
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Italian
  This package contains the Italian translation of Debian Developer's
